ImaEndpoint (Eclipse Amlen Javadoc Reference)

Package com.ibm.ima.plugin

## Interface ImaEndpoint

-     public interface ImaEndpoint

  The ImaEndpoint object represents a read only object which contains the settings of the endpoint within IBM MessageSight.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COPYRIGHT` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAddress()` | Returns the IP address of the interface where the endpoint accepts connections.
    `int` | `getMaxMessgeSize()` | Returns the maximum message size for the endpoint.
    `String` | `getMessageHub()` | Returns the name of the message hub to which the endpoint belongs
    `String` | `getName()` | Returns the name of the endpoint.
    `int` | `getPort()` | Returns the port number of the endpoint.
    `long` | `getProtocolMask()` | Returns the protocol mask for the endpoint.
    `boolean` | `isReliable()` | Returns whether the connection is reliable.
    `boolean` | `isSecure()` | Returns whether the connection is secure.
    `boolean` | `useClientCert()` | Returns whether client certificates are used.
    `boolean` | `usePassword()` | Returns whether the authorization requires passwords.

- - ### Field Detail

    - #### COPYRIGHT

          static final String COPYRIGHT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          String getName()

      Returns the name of the endpoint.
      Returns:
        The name of the endpoint.

    - #### getAddress

          String getAddress()

      Returns the IP address of the interface where the endpoint accepts connections.
      Returns:
        the IP address of the endpoint or null if the endpoint accepts connections from all interfaces.

    - #### getMaxMessgeSize

          int getMaxMessgeSize()

      Returns the maximum message size for the endpoint.
      Returns:
        The maximum message size for this endpoint in bytes

    - #### getMessageHub

          String getMessageHub()

      Returns the name of the message hub to which the endpoint belongs
      Returns:
        the name of the message hub

    - #### getPort

          int getPort()

      Returns the port number of the endpoint.
      Returns:
        The port number on which the endpoint listens for connections.

    - #### getProtocolMask

          long getProtocolMask()

      Returns the protocol mask for the endpoint.
      Returns:
        The mask of protocol bits

    - #### isSecure

          boolean isSecure()

      Returns whether the connection is secure.
      Returns:
        true if the connection is secure and false otherwise

    - #### isReliable

          boolean isReliable()

      Returns whether the connection is reliable.
      Returns:
        true if the endpoint is reliable (such as TCP), false if the endpoint is unreliable (UDP)

    - #### useClientCert

          boolean useClientCert()

      Returns whether client certificates are used.
      Returns:
        true if the endpoint checks client certificates, and false if the endpoint does not check client certificates

    - #### usePassword

          boolean usePassword()

      Returns whether the authorization requires passwords.
      Returns:
        true if password authorization is required, and false if the password authorization is not required.